#
# spec file for package python-gTTS-token
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-gTTS-token
Version:        1.1.1
Release:        lp150.1.1
License:        MIT
Summary:        Calculates a token to run the Google Translate text to speech
Url:            https://github.com/boudewijn26/gTTS-token
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/g/gTTS-token/gTTS-token-%{version}.zip
source99:       https://raw.githubusercontent.com/Boudewijn26/gTTS-token/master/LICENSE
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  unzip
BuildRequires:  fdupes
BuildRequires:  dos2unix
Requires:       python-requests
BuildArch:      noarch

%python_subpackages

%description
gTTS-token (Google Text to Speech token) is a python implementation
of the token validation required by Google Translate when making
a request to its translate API.

%prep
%setup -q -n gTTS-token-%{version}
dos2unix README.md
cp %{SOURCE99} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Sun Mar  4 2018 alarrosa@suse.com
- Fix LICENSE url
* Mon Sep  4 2017 alarrosa@suse.com
- Initial release of python-gTTS-token 1.1.1
